cryptmgr_be.h File Reference
`#include <gwenhywfar/cryptmgr.h>`
`#include <gwenhywfar/inherit.h>`

Go to the source code of this file.

## Typedefs

typedef GWENHYWFAR_CB int(* | GWEN_CRYPTMGR_DECRYPTKEY_FN) (GWEN_CRYPTMGR *cm, const uint8_t *pData, uint32_t lData, GWEN_BUFFER *dbuf)
typedef GWENHYWFAR_CB int(* | GWEN_CRYPTMGR_ENCRYPTKEY_FN) (GWEN_CRYPTMGR *cm, const uint8_t *pData, uint32_t lData, GWEN_BUFFER *dbuf)
typedef GWENHYWFAR_CB int(* | GWEN_CRYPTMGR_SIGNDATA_FN) (GWEN_CRYPTMGR *cm, const uint8_t *pData, uint32_t lData, GWEN_BUFFER *dbuf)
typedef GWENHYWFAR_CB int(* | GWEN_CRYPTMGR_VERIFYDATA_FN) (GWEN_CRYPTMGR *cm, const uint8_t *pData, uint32_t lData, const uint8_t *pSignature, uint32_t lSignature)

## Functions

GWENHYWFAR_API int | GWEN_CryptMgr_DecryptKey (GWEN_CRYPTMGR *cm, const uint8_t *pData, uint32_t lData, GWEN_BUFFER *dbuf)
GWENHYWFAR_API int | GWEN_CryptMgr_EncryptKey (GWEN_CRYPTMGR *cm, const uint8_t *pData, uint32_t lData, GWEN_BUFFER *dbuf)
GWENHYWFAR_API GWEN_CRYPTMGR * | GWEN_CryptMgr_new (void)
GWENHYWFAR_API GWEN_CRYPTMGR_DECRYPTKEY_FN | GWEN_CryptMgr_SetDecryptKeyFn (GWEN_CRYPTMGR *cm, GWEN_CRYPTMGR_DECRYPTKEY_FN f)
GWENHYWFAR_API GWEN_CRYPTMGR_ENCRYPTKEY_FN | GWEN_CryptMgr_SetEncryptKeyFn (GWEN_CRYPTMGR *cm, GWEN_CRYPTMGR_ENCRYPTKEY_FN f)
GWENHYWFAR_API void | GWEN_CryptMgr_SetLocalKeyName (GWEN_CRYPTMGR *cm, const char *s)
GWENHYWFAR_API void | GWEN_CryptMgr_SetLocalKeyNumber (GWEN_CRYPTMGR *cm, int i)
GWENHYWFAR_API void | GWEN_CryptMgr_SetLocalKeyVersion (GWEN_CRYPTMGR *cm, int i)
GWENHYWFAR_API void | GWEN_CryptMgr_SetPeerKeyName (GWEN_CRYPTMGR *cm, const char *s)
GWENHYWFAR_API void | GWEN_CryptMgr_SetPeerKeyNumber (GWEN_CRYPTMGR *cm, int i)
GWENHYWFAR_API void | GWEN_CryptMgr_SetPeerKeyVersion (GWEN_CRYPTMGR *cm, int i)
GWENHYWFAR_API GWEN_CRYPTMGR_SIGNDATA_FN | GWEN_CryptMgr_SetSignDataFn (GWEN_CRYPTMGR *cm, GWEN_CRYPTMGR_SIGNDATA_FN f)
GWENHYWFAR_API GWEN_CRYPTMGR_VERIFYDATA_FN | GWEN_CryptMgr_SetVerifyDataFn (GWEN_CRYPTMGR *cm, GWEN_CRYPTMGR_VERIFYDATA_FN f)
GWENHYWFAR_API int | GWEN_CryptMgr_SignData (GWEN_CRYPTMGR *cm, const uint8_t *pData, uint32_t lData, GWEN_BUFFER *dbuf)
GWENHYWFAR_API int | GWEN_CryptMgr_VerifyData (GWEN_CRYPTMGR *cm, const uint8_t *pData, uint32_t lData, const uint8_t *pSignature, uint32_t lSignature)

## Typedef Documentation

## GWEN_CRYPTMGR_DECRYPTKEY_FN

typedef GWENHYWFAR_CB int(* GWEN_CRYPTMGR_DECRYPTKEY_FN) (GWEN_CRYPTMGR *cm, const uint8_t *pData, uint32_t lData, GWEN_BUFFER *dbuf)

Definition at line 35 of file cryptmgr_be.h.

## GWEN_CRYPTMGR_ENCRYPTKEY_FN

typedef GWENHYWFAR_CB int(* GWEN_CRYPTMGR_ENCRYPTKEY_FN) (GWEN_CRYPTMGR *cm, const uint8_t *pData, uint32_t lData, GWEN_BUFFER *dbuf)

Definition at line 28 of file cryptmgr_be.h.

## GWEN_CRYPTMGR_SIGNDATA_FN

typedef GWENHYWFAR_CB int(* GWEN_CRYPTMGR_SIGNDATA_FN) (GWEN_CRYPTMGR *cm, const uint8_t *pData, uint32_t lData, GWEN_BUFFER *dbuf)

Definition at line 25 of file cryptmgr_be.h.

## GWEN_CRYPTMGR_VERIFYDATA_FN

typedef GWENHYWFAR_CB int(* GWEN_CRYPTMGR_VERIFYDATA_FN) (GWEN_CRYPTMGR *cm, const uint8_t *pData, uint32_t lData, const uint8_t *pSignature, uint32_t lSignature)

Definition at line 32 of file cryptmgr_be.h.

## Function Documentation

## GWEN_CryptMgr_DecryptKey()

GWENHYWFAR_API int GWEN_CryptMgr_DecryptKey | ( | GWEN_CRYPTMGR * | cm,
|  | const uint8_t * | pData,
|  | uint32_t | lData,
|  | GWEN_BUFFER * | dbuf )

References GWEN_CryptMgr_DecryptKey(), and GWENHYWFAR_API.

Referenced by GWEN_CryptMgr_DecryptKey().

## GWEN_CryptMgr_EncryptKey()

GWENHYWFAR_API int GWEN_CryptMgr_EncryptKey | ( | GWEN_CRYPTMGR * | cm,
|  | const uint8_t * | pData,
|  | uint32_t | lData,
|  | GWEN_BUFFER * | dbuf )

References GWEN_CryptMgr_EncryptKey(), and GWENHYWFAR_API.

Referenced by GWEN_CryptMgr_EncryptKey().

## GWEN_CryptMgr_new()

GWENHYWFAR_API GWEN_CRYPTMGR * GWEN_CryptMgr_new | ( | void |  | ) |

References GWEN_CryptMgr_new(), and GWENHYWFAR_API.

Referenced by GWEN_CryptMgr_new().

## GWEN_CryptMgr_SetDecryptKeyFn()

GWENHYWFAR_API GWEN_CRYPTMGR_DECRYPTKEY_FN GWEN_CryptMgr_SetDecryptKeyFn | ( | GWEN_CRYPTMGR * | cm,
|  | GWEN_CRYPTMGR_DECRYPTKEY_FN | f )

References GWEN_CryptMgr_SetDecryptKeyFn().

Referenced by GWEN_CryptMgr_SetDecryptKeyFn().

## GWEN_CryptMgr_SetEncryptKeyFn()

GWENHYWFAR_API GWEN_CRYPTMGR_ENCRYPTKEY_FN GWEN_CryptMgr_SetEncryptKeyFn | ( | GWEN_CRYPTMGR * | cm,
|  | GWEN_CRYPTMGR_ENCRYPTKEY_FN | f )

References GWEN_CryptMgr_SetEncryptKeyFn(), and GWENHYWFAR_API.

Referenced by GWEN_CryptMgr_SetEncryptKeyFn().

## GWEN_CryptMgr_SetLocalKeyName()

GWENHYWFAR_API void GWEN_CryptMgr_SetLocalKeyName | ( | GWEN_CRYPTMGR * | cm,
|  | const char * | s )

References GWEN_CryptMgr_SetLocalKeyName(), and GWENHYWFAR_API.

Referenced by GWEN_CryptMgr_SetLocalKeyName().

## GWEN_CryptMgr_SetLocalKeyNumber()

GWENHYWFAR_API void GWEN_CryptMgr_SetLocalKeyNumber | ( | GWEN_CRYPTMGR * | cm,
|  | int | i )

References GWEN_CryptMgr_SetLocalKeyNumber(), and GWENHYWFAR_API.

Referenced by GWEN_CryptMgr_SetLocalKeyNumber().

## GWEN_CryptMgr_SetLocalKeyVersion()

GWENHYWFAR_API void GWEN_CryptMgr_SetLocalKeyVersion | ( | GWEN_CRYPTMGR * | cm,
|  | int | i )

References GWEN_CryptMgr_SetLocalKeyVersion(), and GWENHYWFAR_API.

Referenced by GWEN_CryptMgr_SetLocalKeyVersion().

## GWEN_CryptMgr_SetPeerKeyName()

GWENHYWFAR_API void GWEN_CryptMgr_SetPeerKeyName | ( | GWEN_CRYPTMGR * | cm,
|  | const char * | s )

References GWEN_CryptMgr_SetPeerKeyName(), and GWENHYWFAR_API.

Referenced by GWEN_CryptMgr_SetPeerKeyName().

## GWEN_CryptMgr_SetPeerKeyNumber()

GWENHYWFAR_API void GWEN_CryptMgr_SetPeerKeyNumber | ( | GWEN_CRYPTMGR * | cm,
|  | int | i )

References GWEN_CryptMgr_SetPeerKeyNumber(), and GWENHYWFAR_API.

Referenced by GWEN_CryptMgr_SetPeerKeyNumber().

## GWEN_CryptMgr_SetPeerKeyVersion()

GWENHYWFAR_API void GWEN_CryptMgr_SetPeerKeyVersion | ( | GWEN_CRYPTMGR * | cm,
|  | int | i )

References GWEN_CryptMgr_SetPeerKeyVersion(), and GWENHYWFAR_API.

Referenced by GWEN_CryptMgr_SetPeerKeyVersion().

## GWEN_CryptMgr_SetSignDataFn()

GWENHYWFAR_API GWEN_CRYPTMGR_SIGNDATA_FN GWEN_CryptMgr_SetSignDataFn | ( | GWEN_CRYPTMGR * | cm,
|  | GWEN_CRYPTMGR_SIGNDATA_FN | f )

References GWEN_CryptMgr_SetSignDataFn(), and GWENHYWFAR_API.

Referenced by GWEN_CryptMgr_SetSignDataFn().

## GWEN_CryptMgr_SetVerifyDataFn()

GWENHYWFAR_API GWEN_CRYPTMGR_VERIFYDATA_FN GWEN_CryptMgr_SetVerifyDataFn | ( | GWEN_CRYPTMGR * | cm,
|  | GWEN_CRYPTMGR_VERIFYDATA_FN | f )

References GWEN_CryptMgr_SetVerifyDataFn(), and GWENHYWFAR_API.

Referenced by GWEN_CryptMgr_SetVerifyDataFn().

## GWEN_CryptMgr_SignData()

GWENHYWFAR_API int GWEN_CryptMgr_SignData | ( | GWEN_CRYPTMGR * | cm,
|  | const uint8_t * | pData,
|  | uint32_t | lData,
|  | GWEN_BUFFER * | dbuf )

References GWEN_CryptMgr_SignData(), and GWENHYWFAR_API.

Referenced by GWEN_CryptMgr_SignData().

## GWEN_CryptMgr_VerifyData()

GWENHYWFAR_API int GWEN_CryptMgr_VerifyData | ( | GWEN_CRYPTMGR * | cm,
|  | const uint8_t * | pData,
|  | uint32_t | lData,
|  | const uint8_t * | pSignature,
|  | uint32_t | lSignature )

References GWEN_CryptMgr_VerifyData(), and GWENHYWFAR_API.

Referenced by GWEN_CryptMgr_VerifyData().